<?
	global $sess;
	$zadanie = $_GET[zadanie];
	$author = $_GET[autor];
	$Left = $_GET[Left];

	if ($sess->isLoged("Oper")) {
		$superlink = new CLink ("W_edyt_zad", "W_edyt_zad");
		$superlink->addFirstParam("zadanie", $zadanie);
		$superlink->addParam("autor", $autor);
		$superlink->addParam("Left", 'x');
		$sess->set("Atreelink", $superlink);
		if ($Left == 'x') {
			$yes = 'true';
			include "Aleft_menu.inc.php";
		}
	}

	if (($sess->isLoged("Wykl"))||($sess->isLoged("Oper")))
	if (!empty($zadanie)) {
		$sess->del("w_ed_zadanie", array());
		$q = new CQuery("SELECT numer_zad, nazwa, link_url, zakres_spr, poziom_spr, utw_date, mod_date, termin1, termin2, poblazanie, isnull(termin2) as isterm2
				FROM
					XP_ZADANIE
				WHERE
					id='$zadanie';");
		if ($q->num_rows()) {
			if ($arr = $q->fetch_array()) {
				$zad = array();
				$zad[numer]=$arr[numer_zad];
				$zad[nazwa]=$arr[nazwa];
				$zad[url]=$arr[link_url];
				$zad[zakres]=$arr[zakres_spr];
				$zad[poziom]=$arr[poziom_spr];
				$zad[utw]=$arr[utw_date];
				$zad[mod]=$arr[mod_date];
				$zad[termin1]=$arr[termin1];
				$zad[termin2]=$arr[termin2];
				$zad[poblazanie]=$arr[poblazanie];
				$zad[ist2]=$arr[isterm2];
				$sess->set("w_ed_zadanie", $zad);
			}
		}
	}
?>
